---
title: Управление устройствами на Android 
weight: 2
---

### Передача изображения экрана и файлов с устройства Android
------

Начиная с версии 1.1.9, в клиент для Android добавлен функционал передачи изображения экрана и файлов с устройства.

- Для передачи экрана необходима версия Android 6 или выше
- Для передачи аудио необходима версия Android 10 или выше
- iOS пока не поддерживает передачу изображения экрана


#### **Запрос разрешений и запуск служб**

Нажмите `Share Screen` на нижней панели навигации

Настройте необходимые разрешения. При каждом запуске RustDesk, необходим повторный запрос разрешений.

![](/docs/en/manual/mobile/images/server_off_en.jpg?width=300px)

| Разрешение     | Описание                                               |
| --------------- | --------------------------------------------------------- |
| Screen Capture | Доступ к изображению экрана |
| Input Control* | Доступ к вводу (виртуальный touchscreen) |
| File transfer* | Доступ к файловой системе |
| Audio capture  | Доступ к аудио |

{{% notice note %}}
 \* - особые разрешение. Для их настройки необходимо зайти в системные настройки Android и установить их вручную.
{{% /notice %}}

#### **Особые разрешения - Передача файлов**

| Запрос разрешения на передачу файлов автоматически перенаправит на страницу системных настроек |
| :---------------: |
| ![](/docs/en/manual/mobile/images/get_file_en.jpg?width=300px) |

#### **Особые разрешения - Ввод**
| Шаг 1 Найдите "Установленные службы" | Шаг 2 Включите RustDesk Input |
| --------------- | -------------------------------------------------------- |
| ![](/docs/en/manual/mobile/images/get_input1_en.jpg?width=300px) | ![](/docs/en/manual/mobile/images/get_input2_en.jpg?width=300px) |

{{% notice note %}}
Страницы системных настроек могут отличаться в зависимости от производителя оборудования
{{% /notice %}}

**Управление мышью:**

- ПКМ: Назад
- СКМ: На главный экран
- Длительное нажатие СКМ: Недавние приложения
- Колесо мыши: Вертикальная прокрутка

#### **Запуск службы**

После получения разрешения `screen capture`, служба зпустится автоматически. Так-же можно нажать кнопку `Start service` для запуска службы. После запуска службы, она может принимать входящие подключения.

Если получено разрешение `file transfer` , доступна передача файлов.

После запуска службы, для устройства будет получен уникальный ID и случайный пароль. Другие устройства могут подключаться к этому с помощью ID и пароля или с помощью ID и подтверждения.

| До запуска службы | После запуска службы |
| --------------- | -------------------------------------------------------- |
| ![](/docs/en/manual/mobile/images/server_off_en.jpg?width=300px) | ![](/docs/en/manual/mobile/images/server_on_en.jpg?width=300px) |

{{% notice note %}}
1. Нажатие `Start Service` включит разрешение `Screen capture` по умолчанию.
2. Если разрешение `screen capture` не получено, другие устройства не смогут отправлять запросы на управление.
3. Выключение любого разрешения кроме `screen capture`, отразится только на новых соединениях. Если вам надо изменить разрешения для активного соединения, завершите его, настройте разрешения и откройте соединение заново.
{{% /notice %}}

**PC:**

![](/docs/en/manual/mobile/images/android_server_pc_side_en.png?width=700px)

**Мобильный терминал:**
| Можно в любое время остановить службу и закрыть соединение | Чат |
| --------------- | -------------------------------------------------------- |
| ![](/docs/en/manual/mobile/images/server_on_en.jpg?width=300px) | ![](/docs/en/manual/mobile/images/android_server2_en.jpg?width=300px) |